Subject: Re: [msysGit] Re: [FYI][PATCH] Customizing the WinGit installer

From: Junio C Hamano <[email-masked]>
Date: Wed, 08 Oct 2008 00:38:42 -0700

Petr Baudis <[email-masked]> writes:

> Note that as mentioned in the original mail, my patch was not meant
> for application upstream, just as an example for others who would like
> to customize the Git installer for a particular environment. We wanted
> to make Git installation/usage as simple as possible, reducing any
> unnecessary steps we could - and this was an easy one.

I do not personally think showing the license is necessary in the
installer, but unlike the earlier one that refused to proceed until the
user says "I Accept" (which was just plain silly), I think the current one
is Ok.

The details are entirely up to people who have actually been involved in
msysgit packaging work, but it may be possible to package an installer
that can be used for installing multiple machines with minimum
interaction, and make the process of extracting that installer show
notices on licensing and legalese.